[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# UnRegisterModuleClasses

Unregisters classes registered by module.

## Declaration

Source position: classesh.inc line 2224

`procedure UnRegisterModuleClasses(`
`Module: HMODULE`
`);`

## Description

UnRegisterModuleClasses unregisters all classes which reside in the module Module. For each registered class, the definition pointer is checked to see whether it resides in the module, and if it does, the definition is removed.

## See also

UnRegisterClass |  | Unregisters a class from the streaming system.
UnRegisterClasses |  | Unregisters multiple classes from the streaming system.
RegisterClasses |  | Registers multiple classes with the streaming system.